"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.InvalidSignatureAlgorithmError = void 0;
/**
 * Error class representing a specific error scenario where an invalid
 * signature algorithm is provided.
 *
 * This error is thrown when an API request is made with a signature
 * algorithm that is not supported or recognized.
 *
 * @extends {Error}
 */
class InvalidSignatureAlgorithmError extends Error {
    constructor() {
        super('Invalid Signature algorithm');
    }
}
exports.InvalidSignatureAlgorithmError = InvalidSignatureAlgorithmError;
