"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MissingPrivateKeyError = void 0;
/**
 * `MissingPrivateKeyError` class for throwing an error when the private key
 * is missing. The private key must either be the string of the key or a buffer
 * from the key file. When you created the application, the private key would
 * have been downloaded then. If you lost the key, you will need to regenrate
 * the key.
 *
 * @extends {Error}
 */
class MissingPrivateKeyError extends Error {
    constructor() {
        super('Missing private key');
    }
}
exports.MissingPrivateKeyError = MissingPrivateKeyError;
