import { AbstractMessage } from './AbstractMessage';
import { MessageFileType, MessageParamsFile } from '../types';
/**
 * An abstract base class for file messages.
 */
export declare abstract class AbstractFileMessage extends AbstractMessage implements MessageParamsFile {
    messageType: 'file';
    file: MessageFileType;
    /**
     * Constructs a new `AbstractFileMessage` instance.
     *
     * @param {MessageParamsFile} params - The parameters for creating a file message.
     */
    protected constructor(params: MessageParamsFile);
}
