"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AbstractMessage = void 0;
/**
 * An abstract base class for message objects.
 */
class AbstractMessage {
    /**
     * Constructs a new `AbstractMessage` instance.
     *
     * @param {MessageParams} params - The parameters for creating a message.
     */
    constructor(params) {
        this.to = params.to;
        this.from = params.from;
        this.clientRef = params.clientRef;
        this.webhookUrl = params.webhookUrl;
        this.webhookVersion = params.webhookVersion;
    }
}
exports.AbstractMessage = AbstractMessage;
