import { MessageType } from '../../interfaces/Messenger/MessageType';
import { VideoObject } from '../../interfaces/VideoObject';
import { MessengerVideo } from './MessengerVideo';
/**
 * Represents a text message for the Messenger channel.
 *
 * @deprecated Please use the MessengerText class instead.
 *
 * @group Messenger
 */
export declare class Video extends MessengerVideo {
    /**
     * Constructs a new `Text` instance.
     *
     * @param {VideoObject} video - The text content of the message.
     * @param {string} to - The recipient of the message.
     * @param {string} from - The sender of the message.
     * @param {MessageType} messenger - The messenger information for the message.
     * @param {string} clientRef - The client reference for the message.
     */
    constructor(video: VideoObject, to: string, from: string, messenger?: MessageType, clientRef?: string);
}
