import { Client } from './client';
import { AuthenticationType } from './enums';
/**
 * A client for downloading files from Vonage.
 *
 * @extends Client
 */
export declare class FileClient extends Client {
    protected authType: AuthenticationType;
    protected saveFilePath: string;
    /**
     * Downloads a file from Vonage and saves it to a specified path.
     *
     * @param {string} file - The URL or ID of the file to be downloaded.
     * @param {string} path - The path where the downloaded file should be saved.
     *
     * @throws {Error} Throws an error if the file could not be downloaded or saved.
     *
     * @return {Promise<void>} Resolves when the file is successfully downloaded and saved.
     */
    downloadFile(file: string, path: string): Promise<void>;
}
