"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MessageSendAllFailure = void 0;
const SMSFailure_1 = require("./SMSFailure");
/**
 * Class representing a failure when sending all SMS messages.
 *
 * Extends the SMSFailure class and is used to indicate that all SMS messages failed to send.
 */
class MessageSendAllFailure extends SMSFailure_1.SMSFailure {
    /**
     * Creates an instance of MessageSendAllFailure.
     *
     * @param {SMSMessages} response - The response containing details about the failed SMS messages.
     */
    constructor(response) {
        super('All SMS messages failed to send', response);
    }
}
exports.MessageSendAllFailure = MessageSendAllFailure;
