"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MessageSendPartialFailure = void 0;
const SMSFailure_1 = require("./SMSFailure");
/**
 * Class representing a partial failure when sending SMS messages.
 *
 * Extends the SMSFailure class and is used to indicate that some SMS messages failed to send.
 */
class MessageSendPartialFailure extends SMSFailure_1.SMSFailure {
    /**
     * Creates an instance of MessageSendPartialFailure.
     *
     * @param {SMSMessages} response - The response containing details about the partially failed SMS messages.
     */
    constructor(response) {
        super('Some SMS messages failed to send', response);
    }
}
exports.MessageSendPartialFailure = MessageSendPartialFailure;
