import { NCCOAction } from '../../types';
/**
 * A builder class for creating Nexmo Call Control Objects (NCCOs).
 */
export declare class NCCOBuilder {
    protected actions: Array<NCCOAction>;
    /**
     * Add an action to the NCCO builder.
     *
     * @param {Action} action - The action to add to the NCCO.
     * @return {NCCOBuilder} - The NCCO builder instance (for method chaining).
     */
    addAction(action: NCCOAction): NCCOBuilder;
    /**
     * Build the NCCO by serializing the added actions.
     *
     * @return {Array<Action | Serializable>} - The built NCCO, which is an array of actions.
     */
    build(): Array<NCCOAction>;
}
